Cancel a shared Amazon SES daily limit request
curl --request DELETE \
--url https://app.sendmux.ai/api/v1/providers/shared-amazon-ses-limit-request/{request_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://app.sendmux.ai/api/v1/providers/shared-amazon-ses-limit-request/{request_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.sendmux.ai/api/v1/providers/shared-amazon-ses-limit-request/{request_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://app.sendmux.ai/api/v1/providers/shared-amazon-ses-limit-request/{request_id}"
req, _ := http.NewRequest("DELETE", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"meta": {
"request_id": "req_clxxxxxxxxxxxxxxxxxxxxxxxxx"
},
"ok": true,
"data": {
"limit": {
"can_request_increase": true,
"daily_limit": 1,
"is_near_limit": true,
"pending_request_id": "<string>",
"provider_id": "<string>",
"sent_today": 1,
"threshold_usage": 1,
"usage_ratio": 123
},
"request": {
"approved_daily_limit": 123,
"created_at": "<string>",
"current_daily_limit": 1,
"current_daily_sent": 1,
"decided_at": "<string>",
"decision_note": "<string>",
"id": "slir_clxxxxxxxxxxxxxxxxxxxxxxxxx"
}
}
}{
"error": {
"code": "invalid_parameter",
"message": "<string>",
"retryable": false,
"doc_url": "<string>",
"errors": [
{
"code": "invalid_string",
"field": "recipient.email",
"message": "<string>"
}
],
"param": "<string>"
},
"meta": {
"request_id": "req_clxxxxxxxxxxxxxxxxxxxxxxxxx"
},
"ok": false
}{
"error": {
"code": "invalid_parameter",
"message": "<string>",
"retryable": false,
"doc_url": "<string>",
"errors": [
{
"code": "invalid_string",
"field": "recipient.email",
"message": "<string>"
}
],
"param": "<string>"
},
"meta": {
"request_id": "req_clxxxxxxxxxxxxxxxxxxxxxxxxx"
},
"ok": false
}Sending accounts
Cancel a shared Amazon SES daily limit request
Cancels a pending shared Amazon SES daily limit increase request for the caller’s team. Approved or denied requests cannot be cancelled.
DELETE
/
providers
/
shared-amazon-ses-limit-request
/
{request_id}
Cancel a shared Amazon SES daily limit request
curl --request DELETE \
--url https://app.sendmux.ai/api/v1/providers/shared-amazon-ses-limit-request/{request_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://app.sendmux.ai/api/v1/providers/shared-amazon-ses-limit-request/{request_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.sendmux.ai/api/v1/providers/shared-amazon-ses-limit-request/{request_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://app.sendmux.ai/api/v1/providers/shared-amazon-ses-limit-request/{request_id}"
req, _ := http.NewRequest("DELETE", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"meta": {
"request_id": "req_clxxxxxxxxxxxxxxxxxxxxxxxxx"
},
"ok": true,
"data": {
"limit": {
"can_request_increase": true,
"daily_limit": 1,
"is_near_limit": true,
"pending_request_id": "<string>",
"provider_id": "<string>",
"sent_today": 1,
"threshold_usage": 1,
"usage_ratio": 123
},
"request": {
"approved_daily_limit": 123,
"created_at": "<string>",
"current_daily_limit": 1,
"current_daily_sent": 1,
"decided_at": "<string>",
"decision_note": "<string>",
"id": "slir_clxxxxxxxxxxxxxxxxxxxxxxxxx"
}
}
}{
"error": {
"code": "invalid_parameter",
"message": "<string>",
"retryable": false,
"doc_url": "<string>",
"errors": [
{
"code": "invalid_string",
"field": "recipient.email",
"message": "<string>"
}
],
"param": "<string>"
},
"meta": {
"request_id": "req_clxxxxxxxxxxxxxxxxxxxxxxxxx"
},
"ok": false
}{
"error": {
"code": "invalid_parameter",
"message": "<string>",
"retryable": false,
"doc_url": "<string>",
"errors": [
{
"code": "invalid_string",
"field": "recipient.email",
"message": "<string>"
}
],
"param": "<string>"
},
"meta": {
"request_id": "req_clxxxxxxxxxxxxxxxxxxxxxxxxx"
},
"ok": false
}Authorizations
Sendmux API key. Use a root API key for Management API routes, or a mailbox credential for Mailbox API routes. Obtain keys from the dashboard under API Keys.
Path Parameters
Shared Amazon SES limit request public ID
Example:
"slir_clxxxxxxxxxxxxxxxxxxxxxxxxx"
Response
Request cancelled
Available options:
true Hide child attributes
Hide child attributes
Hide child attributes
Hide child attributes
Required range:
x >= 0Required range:
x >= 0Required range:
x >= 0Hide child attributes
Hide child attributes
Required range:
x >= 0Required range:
x >= 0Example:
"slir_clxxxxxxxxxxxxxxxxxxxxxxxxx"
Available options:
pending, approved, denied, cancelled Was this page helpful?
⌘I